Bug 1838751 - [oVirt][Tracker] Re-enable skipped network tests
Summary: [oVirt][Tracker] Re-enable skipped network tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Gal Zaidman
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1822714 1822755 1822766 1840707 1844831
Blocks: 1848570
TreeView+ depends on / blocked
 
Reported: 2020-05-21 17:31 UTC by Gal Zaidman
Modified: 2021-02-24 15:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1848570 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:12:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25574 0 None closed Bug 1838751: oVirt, enable Skipped network tests 2021-01-24 07:46:51 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:13:02 UTC

Description Gal Zaidman 2020-05-21 17:31:37 UTC
the following network tests have been failing on oVirt and other platforms:

- [sig-network] Networking Granular Checks: Services should function for endpoint-Service.
- [sig-network] Networking Granular Checks: Services should function for node-Service.
- [sig-network] Networking Granular Checks: Services should function for pod-Service.

we didn't know the reason until recently and now there is a fix which is targeted for RHEL 8.3 [1] and there are openshift bugs for tracking the fix in openshift [2][3].
Since this is now a very known issue and is currently failing our CI and making it hard to distinguish between a red failed CI and a false one we decided to skip those test for ovirt until the fix will land.

This bug is to track the removal of the skip.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1794714
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1822714
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1822755
[4] https://bugzilla.redhat.com/show_bug.cgi?id=1822766

Comment 1 Ben Parees 2020-05-22 15:37:58 UTC
Marking this high so the team does not lose track of it.  It's critical we get these tests re-enabled as soon as the underlying issue is fixed.

Comment 3 Ben Bennett 2020-10-01 12:58:41 UTC
I set the target to 4.7 so it doesn't block the release.  If this passes tests, we can pull it in, or enable in 4.6.z.

Comment 4 Gal Zaidman 2020-10-25 11:23:54 UTC
Hi the PR removes the skip I tested locally and the tests passed

Comment 6 zhaozhanqi 2020-11-04 11:16:48 UTC
Move this to verify

Comment 9 errata-xmlrpc 2021-02-24 15:12:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.